Bug 587103 - NetworkManager can't control RaLink RT3090
NetworkManager can't control RaLink RT3090
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 18:36 EDT by Renich Bon Ciric
Modified: 2011-06-27 11:56 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:56:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Renich Bon Ciric 2010-04-28 18:36:21 EDT
Description of problem:
I have a Acer Revo 3610 (ar3610); which has a neat 
05:00.0 Network controller: RaLink RT3090 Wireless 802.11n 1T/1R PCIe

If I do lspci, I see it. If I try ifconfig -a, I see it. The problem starts when I want to use it with NetworkManager.

It doesn't even show the SSIDs near me.

Version-Release number of selected component (if applicable):
NetworkManager-0.8.0-8.git20100426.fc13.x86_64

How reproducible:
1. Get a ar3610
2. Install Fedora
3. Try connecting to some AP

Actual results:
It doesn't show any access points.

Expected results:
It should connect normally.

Additional info:
[root@ati ~]# lspci -v
00:00.0 Host bridge: nVidia Corporation MCP79 Host Bridge (rev b1)
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: bus master, 66MHz, fast devsel, latency 0

00:00.1 RAM memory: nVidia Corporation MCP79 Memory Controller (rev b1)
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: bus master, 66MHz, fast devsel, latency 0

00:03.0 ISA bridge: nVidia Corporation MCP79 LPC Bridge (rev b2)
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: bus master, 66MHz, fast devsel, latency 0
	I/O ports at 4f00 [size=256]

00:03.1 RAM memory: nVidia Corporation MCP79 Memory Controller (rev b1)
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: 66MHz, fast devsel

00:03.2 SMBus: nVidia Corporation MCP79 SMBus (rev b1)
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: 66MHz, fast devsel, IRQ 10
	I/O ports at 4900 [size=64]
	I/O ports at 4d00 [size=64]
	I/O ports at 4e00 [size=64]
	Capabilities: [44] Power Management version 2
	Kernel modules: i2c-nforce2

00:03.3 RAM memory: nVidia Corporation MCP79 Memory Controller (rev b1)
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: 66MHz, fast devsel

00:03.5 Co-processor: nVidia Corporation MCP79 Co-processor (rev b1)
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 11
	Memory at fae80000 (32-bit, non-prefetchable) [size=512K]

00:04.0 USB Controller: nVidia Corporation MCP79 OHCI USB 1.1 Controller (rev b1) (prog-if 10 [OHCI])
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 20
	Memory at fae7f000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: ohci_hcd

00:04.1 USB Controller: nVidia Corporation MCP79 EHCI USB 2.0 Controller (rev b1) (prog-if 20 [EHCI])
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 21
	Memory at fae7ec00 (32-bit, non-prefetchable) [size=256]
	Capabilities: [44] Debug port: BAR=1 offset=00a0
	Capabilities: [80] Power Management version 2
	Kernel driver in use: ehci_hcd

00:08.0 Audio device: nVidia Corporation MCP79 High Definition Audio (rev b1)
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 21
	Memory at fae78000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:09.0 PCI bridge: nVidia Corporation MCP79 PCI Bridge (rev b1) (prog-if 01 [Subtractive decode])
	Flags: bus master, 66MHz, fast devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	Capabilities: [b8] Subsystem: Acer Incorporated [ALI] Device 0222

00:0a.0 Ethernet controller: nVidia Corporation MCP79 Ethernet (rev b1)
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22
	Memory at fae7d000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at d080 [size=8]
	Memory at fae7e800 (32-bit, non-prefetchable) [size=256]
	Memory at fae7e400 (32-bit, non-prefetchable) [size=16]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: forcedeth
	Kernel modules: forcedeth

00:0b.0 SATA controller: nVidia Corporation MCP79 AHCI Controller (rev b1) (prog-if 01 [AHCI 1.0])
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 29
	I/O ports at d000 [size=8]
	I/O ports at cc00 [size=4]
	I/O ports at c880 [size=8]
	I/O ports at c800 [size=4]
	I/O ports at c480 [size=16]
	Memory at fae76000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: [44] Power Management version 2
	Capabilities: [8c] SATA HBA v1.0
	Capabilities: [b0] MSI: Enable+ Count=1/8 Maskable- 64bit+
	Kernel driver in use: ahci

00:0c.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	Capabilities: [40] Subsystem: Acer Incorporated [ALI] Device 0222
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:10.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: faf00000-fbffffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000f9ffffff
	Capabilities: [40] Subsystem: Acer Incorporated [ALI] Device 0222
	Capabilities: [48] Power Management version 2
	Capabilities: [50] MSI: Enable- Count=1/2 Maskable- 64bit+
	Kernel modules: shpchp

00:15.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	Capabilities: [40] Subsystem: Acer Incorporated [ALI] Device 0222
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:16.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	Memory behind bridge: feb00000-febfffff
	Capabilities: [40] Subsystem: Acer Incorporated [ALI] Device 0222
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:17.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
	Capabilities: [40] Subsystem: Acer Incorporated [ALI] Device 0222
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:18.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=0
	Capabilities: [40] Subsystem: Acer Incorporated [ALI] Device 0222
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport
	Kernel modules: shpchp

03:00.0 VGA compatible controller: nVidia Corporation ION VGA (rev b1) (prog-if 00 [VGA controller])
	Subsystem: Acer Incorporated [ALI] Device 0222
	Flags: bus master, fast devsel, latency 0, IRQ 23
	Memory at fb000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f8000000 (64-bit, prefetchable) [size=32M]
	I/O ports at ec00 [size=128]
	Expansion ROM at fafe0000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb

05:00.0 Network controller: RaLink RT3090 Wireless 802.11n 1T/1R PCIe
	Subsystem: Lite-On Communications Inc Device 6622
	Flags: bus master, fast devsel, latency 0, IRQ 19
	Memory at febf0000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable- Count=1/32 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Device Serial Number 00-00-88-1d-40-a1-f1-70
	Kernel driver in use: rt2800pci
	Kernel modules: rt2800pci

[root@ati ~]# lsmod
Module                  Size  Used by
fuse                   58265  2 
sunrpc                206825  1 
p4_clockmod             5515  2 
freq_table              4075  1 p4_clockmod
speedstep_lib           4834  1 p4_clockmod
nf_conntrack_netbios_ns     1598  0 
ip6t_REJECT             4103  2 
nf_conntrack_ipv6      18041  9 
ip6table_filter         2823  1 
ip6_tables             16938  1 ip6table_filter
ipv6                  282155  38 ip6t_REJECT,nf_conntrack_ipv6
uinput                  7862  0 
snd_hda_codec_nvhdmi     4138  1 
arc4                    1425  2 
snd_hda_codec_realtek   288095  1 
microcode              24538  0 
ecb                     2079  2 
snd_hda_intel          24758  3 
snd_hda_codec          77374  3 snd_hda_codec_nvhdmi,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               6602  1 snd_hda_codec
snd_seq                53965  0 
snd_seq_device          6447  1 snd_seq
snd_pcm                78510  2 snd_hda_intel,snd_hda_codec
rt2800pci               9993  0 
rt2800lib              23305  1 rt2800pci
rt2x00usb               9246  1 rt2800lib
rt2x00pci               6111  1 rt2800pci
crc_ccitt               1549  1 rt2800pci
rt2x00lib              37460  4 rt2800pci,rt2800lib,rt2x00usb,rt2x00pci
mac80211              213184  3 rt2x00usb,rt2x00pci,rt2x00lib
cfg80211              122996  2 rt2x00lib,mac80211
serio_raw               4815  0 
rfkill                 18126  2 cfg80211
eeprom_93cx6            1671  1 rt2800pci
shpchp                 30740  0 
snd_timer              20328  2 snd_seq,snd_pcm
snd                    63893  14 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               6518  1 snd
snd_page_alloc          7589  2 snd_hda_intel,snd_pcm
wmi                     6888  0 
forcedeth              48704  0 
i2c_nforce2             6742  0 
nouveau               389159  2 
ttm                    57653  1 nouveau
drm_kms_helper         24720  1 nouveau
drm                   176220  4 nouveau,ttm,drm_kms_helper
i2c_algo_bit            5037  1 nouveau
video                  22400  1 nouveau
output                  2221  1 video
i2c_core               25706  5 i2c_nforce2,nouveau,drm_kms_helper,drm,i2c_algo_bit
[root@ati ~]# ifconfig -a
eth0      Link encap:Ethernet  HWaddr 90:FB:A6:4C:84:41  
          inet addr:192.168.10.92  Bcast:192.168.10.255  Mask:255.255.255.0
          inet6 addr: fe80::92fb:a6ff:fe4c:8441/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:5116690 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2846536 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:7531231572 (7.0 GiB)  TX bytes:214849946 (204.8 MiB)
          Interrupt:22 Base address:0xe000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:33536 errors:0 dropped:0 overruns:0 frame:0
          TX packets:33536 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:2012160 (1.9 MiB)  TX bytes:2012160 (1.9 MiB)

wlan0     Link encap:Ethernet  HWaddr 70:F1:A1:40:1D:88  
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
Comment 1 Dan Williams 2010-04-29 15:34:36 EDT
I believe the issue is that the kernel driver does not properly support rt3xxx devices yet.
Comment 2 Bug Zapper 2011-06-02 10:44:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ali 2011-06-17 17:06:43 EDT
i had the same issue with fedora 14... downloaded the latest driver from ralink's web site... built it and it worked fine... except for the bluetooth, which didn't work :(
Comment 4 Bug Zapper 2011-06-27 11:56:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.